<?php



class cImpresora  

{

	function insertar($nom,$tipo,$nomloc,$ser,$url,$ip)

	{

		$sql = "INSERT INTO tb_impresora(

		`tb_impresora_tipo`,	 		

		`tb_impresora_nom`,

		`tb_impresora_nomloc`, 

		`tb_impresora_ser`, 

		`tb_impresora_url`, 

		`tb_impresora_ip`

		) VALUES ('$tipo','$nom', '$nomloc', '$ser', '$url', '$ip');"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	function modificar($id,$nom,$tipo,$nomloc,$ser,$url,$ip)

	{

		$sql = "UPDATE tb_impresora SET

		`tb_impresora_tipo`='$tipo',	 

		`tb_impresora_nom` = '$nom', 

		`tb_impresora_nomloc` = '$nomloc', 

		`tb_impresora_ser` = '$ser', 

		`tb_impresora_url` = '$url', 

		`tb_impresora_ip` = '$ip' 

		WHERE tb_impresora_id = $id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function ultimoInsert(){

		$sql = "SELECT last_insert_id()";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function filtrar(){

		$sql="SELECT * 

		FROM tb_impresora

		WHERE  tb_impresora_xac=1

		ORDER BY tb_impresora_id";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function mostrarUno($id){

		$sql="SELECT * FROM tb_impresora where tb_impresora_id = '$id' ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function eliminar($id){

		$sql="UPDATE tb_impresora SET tb_impresora_xac=0 WHERE tb_impresora_id=$id";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}

}

?>